Name:           libnetfilter_log
Version:        0.0.16
Release:        1%{?dist}
Summary:        Netfilter logging userspace library
Group:          System Environment/Libraries
License:        GPLv2
URL:            http://netfilter.org
Source0:        http://netfilter.org/projects/%{name}/files/%{name}-%{version}.tar.bz2
Patch0:		libnetfilter_log-sysheader.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libnfnetlink-devel >= 0.0.39, pkgconfig, kernel-headers
BuildRequires:	autoconf, automake, libtool

%description
libnetfilter_log is a userspace library providing interface to packets that
have been logged by the kernel packet filter. It is is part of a system that
deprecates the old syslog/dmesg based packet logging.

libnetfilter_log has been previously known as libnfnetlink_log.

libnetfilter_log is used by ulogd2. 

%package        devel
Summary:        Netfilter logging userspace library
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}, pkgconfig, kernel-headers

%description    devel
libnetfilter_log is a userspace library providing interface to packets that
have been logged by the kernel packet filter. It is is part of a system that
deprecates the old syslog/dmesg based packet logging.

libnetfilter_log has been previously known as libnfnetlink_log.

libnetfilter_log is used by ulogd2.

%prep
%setup -q
%patch0 -p1

autoreconf -i --force

%build
%configure --disable-static --disable-rpath

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/*.so.*


%files devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Fri Mar  6 2009 Paul P. Komkoff Jr <i@stingr.net> - 0.0.16-1
- upstream release

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Oct 26 2008 Paul P. Komkoff Jr <i@stingr.net> - 0.0.15-1
- new upstream version
- hard dependency on libnfnetlink version

* Fri Aug 29 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 0.0.14-3
- include /usr/include/libnetfilter_log directory

* Thu Aug  7 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.0.14-2
- fix license tag

* Wed Jul 16 2008 Paul P. Komkoff Jr <i@stingr.net> - 0.0.14-1
- grab latest upstream version

* Sat Apr  5 2008 Paul P Komkoff Jr <i@stingr.net> - 0.0.13-6
- update to latest svn and to use system netfilter header (fixes the build)

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.0.13-5
- Autorebuild for GCC 4.3

* Sun May 27 2007 Paul P Komkoff Jr <i@stingr.net> - 0.0.13-4
- try to rebuild.

* Sun May 27 2007 Paul P Komkoff Jr <i@stingr.net> - 0.0.13-3
- stupid CVS import script keeps tagging all imported rpms with incorrect tags.

* Mon Mar 19 2007 Paul P Komkoff Jr <i@stingr.net> - 0.0.13-2
- fix source url
- add pkgconfig to -devel Requires

* Sat Mar 17 2007 Paul P Komkoff Jr <i@stingr.net> - 0.0.13-1
- Preparing for submission to fedora extras
